<?php

# получение параметров
$params = PARAMS; 

# деавторизация игрока
if (isset($params['token']) && $params['token'] == TOKEN) {

# обработка данных
$sess = explode('z', trim($FUNC->sess('auth'))); // парсинг авторизации
$hash = $FUNC->filter($sess[0], 'sql'); $num = (isset($sess[1])) ? // определение данных
$FUNC->filter($sess[1], 'sql') : 0; $FUNC->sess('auth', 'empty', true); // удаление сессии

# удаление авторизации, в базе данных
db_delete($DB, 'auths', array('hash' => $hash, 'num' => $num, 'user' => USER['id']));

# переадресация в начало
$FUNC->go('/start'); }

# переадресация в игру
$FUNC->go('/garden');

?>